# Uses of Interface
org.eclipse.net4j.buffer.IBufferPool

Packages that use IBufferPool
Package
Description
org.eclipse.net4j
The Net4j transport layer.
org.eclipse.net4j.buffer
The Net4j transport layer concepts for dealing with buffers.

## Uses of IBufferPool in org.eclipse.net4j

Methods in org.eclipse.net4j that return IBufferPool
Modifier and Type
Method
Description
`static IBufferPool`
Net4jUtil.`createBufferPool()`
`static IBufferPool`
Net4jUtil.`createBufferPool(short bufferCapacity)`
`static IBufferPool`
Net4jUtil.`createBufferPool(IBufferProvider factory)`
Methods in org.eclipse.net4j with parameters of type IBufferPool
Modifier and Type
Method
Description
`static int`
Net4jUtil.`getPooledBuffers(IBufferPool bufferPool)`

## Uses of IBufferPool in org.eclipse.net4j.buffer

Subinterfaces of IBufferPool in org.eclipse.net4j.buffer
Modifier and Type
Interface
Description
`static interface`
`IBufferPool.Introspection`
Offers additional introspection features for `IBufferPool`s.